Debian Bug report logs - #440680
ITP: apparmor -- application security framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Holzt <debian-apparmor@michael.holzt.de>

Date: Mon, 3 Sep 2007 16:12:01 UTC

Owned by: Kees Cook <kees@debian.org>

Severity: wishlist

Merged with 622922

Fixed in version apparmor/2.6.1-2

Done: Kees Cook <kees@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, michael holzt <debian-apparmor@michael.holzt.de>:
Bug#440680; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Holzt <debian-apparmor@michael.holzt.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, michael holzt <debian-apparmor@michael.holzt.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Holzt <debian-apparmor@michael.holzt.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: apparmor -- application security framework
Date: Mon, 03 Sep 2007 18:10:20 +0200
Package: wnpp
Severity: wishlist
Owner: Michael Holzt <debian-apparmor@michael.holzt.de>

* Package name    : apparmor
  Version         : 2.0.2
  Upstream Author : Novell/SuSE <apparmor-dev@forge.novell.com>
* URL             : http://en.opensuse.org/Apparmor
* License         : GPL
  Description     : application security framework

AppArmor is an application security tool designed to provide an 
easy-to-use security framework for your applications. AppArmor 
proactively protects the operating system and applications from 
external or internal threats, even zero-day attacks, by enforcing
good behavior and preventing even unknown application flaws from 
being exploited. AppArmor security policies, called "profiles", 
completely define what system resources individual applications
can access, and with what privileges. A number of default profiles 
are included with AppArmor, and using a combination of advanced 
static analysis and learning-based tools, AppArmor profiles for 
even very complex applications can be deployed successfully in a 
matter of hours.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.18-nu
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael holzt <debian-apparmor@michael.holzt.de>:
Bug#440680; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dererk <dererk@madap.com.ar>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael holzt <debian-apparmor@michael.holzt.de>. Full text and rfc822 format available.

Message #10 received at 440680@bugs.debian.org (full text, mbox):

From: Dererk <dererk@madap.com.ar>
To: 440680@bugs.debian.org
Subject: Any news?
Date: Sun, 22 Jun 2008 01:50:20 -0300
[Message part 1 (text/plain, inline)]
Hi Michael.

Any advance on this ITP? 


Greetings,

Dererk
-- 
haggis@Melee: ~$ grep -ir 'power in your hands' /proc/
/proc/version: Debian GNUine Perception

BOFH excuse #38: secretary plugged hairdryer into UPS.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael holzt <debian-apparmor@michael.holzt.de>:
Bug#440680; Package wnpp. (Mon, 17 Nov 2008 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael holzt <debian-apparmor@michael.holzt.de>. (Mon, 17 Nov 2008 18:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 440680@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 440680@bugs.debian.org, control@bugs.debian.org
Subject: apparmor
Date: Mon, 17 Nov 2008 19:54:51 +0100
[Message part 1 (text/plain, inline)]
owner 440680 !
thanks

Hi,

No answer from 22 Jun 2008, and no reaction from 03 Sep 2007. I'm going to owner
this ITP.

Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Owner changed from michael holzt <debian-apparmor@michael.holzt.de> to Giuseppe Iuculano <giuseppe@iuculano.it>. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Mon, 17 Nov 2008 18:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#440680; Package wnpp. (Tue, 18 Nov 2008 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Holzt <debian-apparmor@michael.holzt.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Giuseppe Iuculano <giuseppe@iuculano.it>. (Tue, 18 Nov 2008 14:06:06 GMT) Full text and rfc822 format available.

Message #22 received at 440680@bugs.debian.org (full text, mbox):

From: Michael Holzt <debian-apparmor@michael.holzt.de>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 440680@bugs.debian.org
Subject: Re: Bug#440680: apparmor
Date: Tue, 18 Nov 2008 15:03:08 +0100
> No answer from 22 Jun 2008, and no reaction from 03 Sep 2007. I'm 
> going to owner this ITP.

Sorry for that. I appreciate your adoption of this ITP and hope you
will succeed in packaging AA for Debian. Please note that i have
opened a wishlist bug related to packaging AA against initscripts.
You might be interested to followup on this one. The bug is #440709.



Regards
Michael

-- 
It's an insane world, but i'm proud to be a part of it. -- Bill Hicks




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440680; Package wnpp. (Wed, 19 Nov 2008 11:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 19 Nov 2008 11:51:02 GMT) Full text and rfc822 format available.

Message #27 received at 440680@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: apparmor-dev@forge.novell.com
Cc: 440680@bugs.debian.org
Subject: Re: [Apparmor-dev] Apparmor kernel module
Date: Wed, 19 Nov 2008 12:49:25 +0100
[Message part 1 (text/plain, inline)]
John Johansen ha scritto:

> The current version of AppArmor requires patching the kernel.  The old
> deprecated version also required patching the kernel but it was a much
> smaller (a single export).
> 
> We hope this situation will change in the future, but currently your
> best bet is sticking with the AppArmor 2.3 (trunk) patches.

Thanks for your fast reply.
Kernel policy in Debian is to follow upstream kernel as closely as possible, so
if I can't get a stand-alone apparmor module, I have no chance to get a working
apparmor debian package (unless you push that patch to the mainline kernel).


Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RFP: apparmor -- application security framework' from 'ITP: apparmor -- application security framework' Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Sat, 15 Aug 2009 16:57:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Giuseppe Iuculano <giuseppe@iuculano.it>. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Sat, 15 Aug 2009 16:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#440680; Package wnpp. (Fri, 30 Jul 2010 20:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 30 Jul 2010 20:03:10 GMT) Full text and rfc822 format available.

Message #36 received at 440680@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 440680@bugs.debian.org
Subject: apparmod 2.6.36
Date: Sat, 31 Jul 2010 01:30:14 +0530
[Message part 1 (text/plain, inline)]
AppArmor might be in into the kernel in 2.6.36. Anyone still owning the bug ?
Else please drop a note on this bug. I have liked AppArmor and would like 
maintaining it.


-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#440680; Package wnpp. (Mon, 02 Aug 2010 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Aug 2010 09:12:03 GMT) Full text and rfc822 format available.

Message #41 received at 440680@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 440680@bugs.debian.org
Subject: Re: apparmod 2.6.36
Date: Mon, 2 Aug 2010 14:38:47 +0530
[Message part 1 (text/plain, inline)]
owner 440680 !
retitle 440680 "ITP: apparmor -- application security framework"
thanks

I'll own this bug then. Thanks.

On Saturday 31 Jul 2010 01:30:14 Ritesh Raj Sarraf wrote:
> AppArmor might be in into the kernel in 2.6.36. Anyone still owning the bug
> ? Else please drop a note on this bug. I have liked AppArmor and would
> like maintaining it.

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Ritesh Raj Sarraf <rrs@debian.org>. Request was from Ritesh Raj Sarraf <rrs@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 09:12:04 GMT) Full text and rfc822 format available.

Changed Bug title to '"ITP: apparmor -- application security framework"' from 'RFP: apparmor -- application security framework' Request was from Ritesh Raj Sarraf <rrs@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 09:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: apparmor -- application security framework' from '"ITP: apparmor -- application security framework"' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 08 Aug 2010 13:27:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 440680: 598408 Request was from Ritesh Raj Sarraf <rrs@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 19:54:06 GMT) Full text and rfc822 format available.

Forcibly Merged 440680 622922. Request was from Kees Cook <kees@debian.org> to control@bugs.debian.org. (Tue, 26 Apr 2011 19:36:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 May 2011 07:36:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:08:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.